package bank_mode

import (
	"wartank/pkg/types"
	"wartank/server/serv_bots/warbot/stat_tank/static_param"
)

/*
	Объект допустимого режима банка.
*/

// BankMode -- объект допустимого режима банка
type BankMode struct {
	серебро   types.ИСтатПарам
	timeCount string
}

// NewBankMode -- возвращает новый *BankMode
func NewBankMode() *BankMode {
	return &BankMode{
		серебро: static_param.НовСтатПарам("silver"),
	}
}

// Серебро -- возвращает объект серебра режима
func (сам *BankMode) Серебро() types.ИСтатПарам {
	return сам.серебро
}

// ВремяСделать -- возвращает временя производства режима
func (сам *BankMode) ВремяСделать() string {
	return сам.timeCount
}

// ВремяСделатьУст -- устанавливает время производства режима
func (сам *BankMode) ВремяСделатьУст(val string) {
	сам.timeCount = val
}
